Pull Request Attachments - Delete

Delete a pull request attachment.

DELETE https://dev.azure.com/{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/attachments/{fileName}?api-version=7.0

URI Parameters

Name In Required Type Description
fileName
path True

string

The name of the attachment to delete.

organization
path True

string

The name of the Azure DevOps organization.

pullRequestId
path True

integer (int32)

ID of the pull request.

repositoryId
path True

string

The repository ID of the pull request’s target branch.

project
path

string

Project ID or project name

api-version
query True

string

Version of the API to use. This should be set to '7.0' to use this version of the api.

Responses

Name Type Description
200 OK

successful operation

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.code_write Grants the ability to read, update, and delete source code, access metadata about commits, changesets, branches, and other version control artifacts. Also grants the ability to create and manage pull requests and code reviews and to receive notifications about version control events via service hooks.